abstract class IDataClient {
  Future<void> patch(String path,
      {dynamic data, Map<String, dynamic> queryParameters});
  Future<Map<String, dynamic>> get(String path,
      {Map<String, dynamic> queryParameters});
  Future<void> put(String path,
      {dynamic data, Map<String, dynamic> queryParameters});
  Future<void> delete(String path, {Map<String, dynamic> queryParameters});
  Future<void> post(String path,
      {dynamic data, Map<String, dynamic> queryParameters});
}
